package com.yc.ship.module.trade.dal.mysql.order;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.module.trade.dal.dataobject.order.TradeDetailPriceDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 明细价格 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface TradeDetailPriceMapper extends BaseMapperX<TradeDetailPriceDO> {


    default List<TradeDetailPriceDO> selectByDetailIds(List<Long> detailIds) {
        LambdaQueryWrapper<TradeDetailPriceDO> updateWrapper = new LambdaQueryWrapper<>();
        updateWrapper.in(TradeDetailPriceDO::getDetailId, detailIds);
        return selectList(updateWrapper);
    }
}